Subject: Re: bug#75626: 31.0.50; Dired misses or double-processes files when auto-revert-mode is enabled

From: Tassilo Horn <[email-masked]>
Date: Tue, 21 Jan 2025 15:36:00 +0100

Eli Zaretskii <[email-masked]> writes:

>> > But I also have a question: can it happen that we prevent an
>> > auto-revert, and it is then not happening delayed, but completely
>> > canceled?  Or will auto-revert-mode always try again later even
>> > without a new notification (or however that works)?
>> 
>> You mean, if this buffer's file or directory never changes again
>> after this one time?  Let's ask Michael Albinus (CC'ed).
>
> Michael informed me off-list that he will be able to respond only
> later.  So we could either make this change now and wait for his
> comments, or do it the other way around.  I don't think it matters
> much which way we do it.

Yeah, missing an auto-revert possibility could happen for ages, for
example if wdired-mode was active, so if it's a problem, it's at least
no new problem.

I'll make the change to the new more general inhibit-auto-revert when
time permits.

Bye,
Tassilo